import { ExecutorContext } from '@nx/devkit';
/**
 * Get the all package dependencies for the project.
 *
 * All package dependencies are the dependent projects that are directly and indirect referenced by the project.
 * This includes the dependencies of the dependent projects.
 *
 * @param context
 * @param projectName
 */
export declare function GetAllPackageDependenciesForProject(context: ExecutorContext, projectName?: string, resolvedDependencies?: Record<string, string>): Record<string, string>;
export declare function GetAllPackageDependenciesForProjectWihRetry(context: ExecutorContext, projectName?: string, resolvedDependencies?: Record<string, string>, retries?: number, sleep?: number): Promise<Record<string, string>>;
